/*  async01Master serial code
 *  Fab Academy 2018 at the Waag in Amsterdam.
 *  Copy all the things, David McCallum, 2018
 *  sintheta.org
 */

// ATMEL ATTINY84 / ARDUINO
//
//                           +-\/-+
//                     VCC  1|    |14  GND
//             (D 10)  PB0  2|    |13  AREF (D  0)
//             (D  9)  PB1  3|    |12  PA1  (D  1) 
//                     PB3  4|    |11  PA2  (D  2) 
//  PWM  INT0  (D  8)  PB2  5|    |10  PA3  (D  3) 
//  PWM        (D  7)  PA7  6|    |9   PA4  (D  4) 
//  PWM        (D  6)  PA6  7|    |8   PA5  (D  5)        PWM

#include <SoftwareSerial.h>

const int FTDIrxPin = 0;
const int FTDItxPin = 1;

const int softRxPin = 4;    // these pins based on the 6-pin ISP header
const int softTxPin = 5;

SoftwareSerial serialFTDI(FTDIrxPin, FTDItxPin);
SoftwareSerial serialSoft(softRxPin, softTxPin);


 void setup() {

  serialFTDI.begin(9600);
  serialSoft.begin(9600);

}

void loop() {
  

  // Send 0 ... 1 ... repeat. No newlines.

  serialSoft.write(byte(0));
  serialFTDI.print(0);
  delay(1000);
  serialSoft.write(byte(1));
  serialFTDI.print(1);
  delay(1000);

}
